Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_AdminProperties Class Reference

@brief. More...

`#include <AdminProperties.h>`

Inheritance diagram for TAO_NS_AdminProperties:

[legend]
Collaboration diagram for TAO_NS_AdminProperties:

[legend]
List of all members.

## Public Methods
| TAO_NS_AdminProperties (void)
| Constuctor. More...
| ~TAO_NS_AdminProperties ()
| Destructor. More...
int | init (const CosNotification::PropertySeq &prop_seq)
| Return 0 on success, -1 on error. More...
const TAO_NS_Property_Long & | max_queue_length (void) const
const TAO_NS_Property_Long & | max_consumers (void) const
const TAO_NS_Property_Long & | max_suppliers (void) const
const TAO_NS_Property_Boolean & | reject_new_events (void) const
TAO_NS_Signal_Property_Long & | queue_length (void)
TAO_NS_Atomic_Property_Long & | consumers (void)
TAO_NS_Atomic_Property_Long & | suppliers (void)
CORBA::Boolean | queue_full (void)
| Returns true if Queue is full. More...
## Protected Attributes
TAO_NS_Property_Long | max_queue_length_
| The maximum number of events that will be queued by the channel before the channel begins discarding events or rejecting new events upon receipt of each new event. More...
TAO_NS_Property_Long | max_consumers_
| The maximum number of consumers that can be connected to the channel at any given time. More...
TAO_NS_Property_Long | max_suppliers_
| The maximum number of suppliers that can be connected to the channel at any given time. More...
TAO_NS_Property_Boolean | reject_new_events_
| Reject any new event. More...
TAO_NS_Signal_Property_Long | queue_length_
| This is used to count the queue length across all buffers in the Notify Service to enforce the "MaxQueueLength" property. More...
TAO_NS_Atomic_Property_Long | consumers_
| These are used to count the number of consumers and suppliers connected to the system. More...
TAO_NS_Atomic_Property_Long | suppliers_

## Detailed Description

@brief.

## Constructor & Destructor Documentation

TAO_NS_AdminProperties::TAO_NS_AdminProperties | ( | void |  | ) |

| Constuctor.

TAO_NS_AdminProperties::~TAO_NS_AdminProperties | ( |  | ) |

| Destructor.

## Member Function Documentation

TAO_NS_Atomic_Property_Long& TAO_NS_AdminProperties::consumers | ( | void |  | ) |

int TAO_NS_AdminProperties::init | ( | const CosNotification::PropertySeq & | prop_seq | ) |

| Return 0 on success, -1 on error. Reimplemented from TAO_NS_PropertySeq.

const TAO_NS_Property_Long& TAO_NS_AdminProperties::max_consumers | ( | void |  | ) | const

const TAO_NS_Property_Long& TAO_NS_AdminProperties::max_queue_length | ( | void |  | ) | const

const TAO_NS_Property_Long& TAO_NS_AdminProperties::max_suppliers | ( | void |  | ) | const

CORBA::Boolean TAO_NS_AdminProperties::queue_full | ( | void |  | ) |

| Returns true if Queue is full.

TAO_NS_Signal_Property_Long& TAO_NS_AdminProperties::queue_length | ( | void |  | ) |

const TAO_NS_Property_Boolean& TAO_NS_AdminProperties::reject_new_events | ( | void |  | ) | const

TAO_NS_Atomic_Property_Long& TAO_NS_AdminProperties::suppliers | ( | void |  | ) |

## Member Data Documentation

TAO_NS_Atomic_Property_Long TAO_NS_AdminProperties::consumers_`[protected]`

| These are used to count the number of consumers and suppliers connected to the system.

TAO_NS_Property_Long TAO_NS_AdminProperties::max_consumers_`[protected]`

| The maximum number of consumers that can be connected to the channel at any given time.

TAO_NS_Property_Long TAO_NS_AdminProperties::max_queue_length_`[protected]`

| The maximum number of events that will be queued by the channel before the channel begins discarding events or rejecting new events upon receipt of each new event.

TAO_NS_Property_Long TAO_NS_AdminProperties::max_suppliers_`[protected]`

| The maximum number of suppliers that can be connected to the channel at any given time.

TAO_NS_Signal_Property_Long TAO_NS_AdminProperties::queue_length_`[protected]`

| This is used to count the queue length across all buffers in the Notify Service to enforce the "MaxQueueLength" property.

TAO_NS_Property_Boolean TAO_NS_AdminProperties::reject_new_events_`[protected]`

| Reject any new event.

TAO_NS_Atomic_Property_Long TAO_NS_AdminProperties::suppliers_`[protected]`

The documentation for this class was generated from the following files:

- AdminProperties.h
- AdminProperties.cpp